PYSIDE6-UIC(1)

NAME
pyside6-uic - uic

SYNOPSIS
uic [options] [uifile]

DESCRIPTION
Qt User Interface Compiler version 6.10.2

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help, including generic Qt options.

-v, --version
    Displays version information.

-d, --dependencies
    Display the dependencies.

-o, --output <file>
    Place the output into <file>

-a, --no-autoconnection
    Do not generate a call to QObject::connectSlotsByName().

-p, --no-protection
    Disable header protection.

-n, --no-implicit-includes
    Disable generation of #include-directives.

--postfix <postfix>
    Postfix to add to all generated classnames.

--no-qt-namespace
    Disable wrapping the definition of the generated class in QT_{BEGIN,END}_NAMESPACE.

--tr, --translate <function>
    Use <function> for i18n.

--include <include-file>
    Add #include <include-file> to <file>.

-g, --generator <python|cpp>
    Select generator.

-c, --connections <pmf|string>
    Connection syntax.

--idbased
    Use id based function for i18n

--from-imports
    Python: generate imports relative to '.'

--absolute-imports
    Python: generate absolute imports

--rc-prefix
    Python: Generate "rc_file" instead of "file_rc" import

--star-imports
    Python: Use * imports

--python-paths <pathlist>
    Python paths for --absolute-imports.

  Arguments:

[uifile]
    Input file (*.ui), otherwise stdin.